Usergroups 5 endpoints

GET /auth/group

Get a list of user groups in the workspace.

operationId: UserGroups_list

Responses

200

List of groups.

400

Bad Request

500

Internal Server Error

GET /auth/group
POST /auth/group

Create a new user group in the workspace.

operationId: UserGroups_createNewGroup

Request Body

required
application/json
schema UserGroupsCreateNewGroupRequest
Property Type Required
icon string optional
name string optional
users array optional
description string optional

Responses

201

Created

400

Bad Request

500

Internal Server Error

POST /auth/group
DELETE /auth/group/{id}

Delete a group by their ID.

operationId: UserGroups_deleteById

Parameters

Name In Required Type Description
id path required string

The ID of the group to delete.

Responses

204

No Content

404

Not Found

500

Internal Server Error

DELETE /auth/group/{id}
GET /auth/group/{id}

Get a user group by their ID.

operationId: UserGroups_getUserGroupById

Parameters

Name In Required Type Description
id path required string

The ID of the group to retrieve.

Responses

200

OK

404

Not Found

500

Internal Server Error

GET /auth/group/{id}
PATCH /auth/group/{id}

Use this endpoint to update the Group. Editable fields include the name, description, icon, and users.

operationId: UserGroups_updateById

Parameters

Name In Required Type Description
id path required string

The ID of the group to update.

Request Body

required
application/json
schema UserGroupsUpdateByIdRequest
Property Type Required
name string optional

Responses

200

Group updated successfully

400

Bad Request

404

User not found

500

Internal Server Error

PATCH /auth/group/{id}

Users 5 endpoints

GET /user

Get a list of users.

operationId: Users_list

Responses

200

List of users.

400

Bad Request

500

Internal Server Error

GET /user
POST /user

Create a new user in the workspace.

operationId: Users_createNewUser

Request Body

required
application/json
schema UsersCreateNewUserRequest
Property Type Required
role string optional
_role string optional
email string optional
last_name string optional
first_name string optional

Responses

201

Created

400

Bad Request

500

Internal Server Error

POST /user
DELETE /user/{id}

Delete a user by their ID.

operationId: Users_deleteById

Parameters

Name In Required Type Description
id path required string

The ID of the user to delete.

Responses

204

No Content

404

Not Found

500

Internal Server Error

DELETE /user/{id}
GET /user/{id}

Get a user by their ID.

operationId: Users_getUserById

Parameters

Name In Required Type Description
id path required string

The ID of the user to retrieve.

Responses

200

OK

404

Not Found

500

Internal Server Error

GET /user/{id}
PATCH /user/{id}

Use this endpoint to update the user. Editable fields include the first name, last name, and role.

operationId: Users_updateById

Parameters

Name In Required Type Description
id path required string

The ID of the user to update.

Request Body

required
application/json
schema UsersUpdateByIdRequest
Property Type Required
last_name string optional
first_name string optional

Responses

200

User updated successfully

400

Bad Request

404

User not found

500

Internal Server Error

PATCH /user/{id}